REGISTER_SOUND_DSP(9)

NAME
register_sound_dsp - register a DSP device

SYNOPSIS

int register_sound_dsp(const struct file_operations * fops, int dev);

ARGUMENTS

fops
    File operations for the driver

dev
    Unit number to allocate

DESCRIPTION

Allocate a DSP device. Unit is the number of the DSP requested. Pass -1 to request the next free DSP unit.

This function allocates both the audio and dsp device entries together and will always allocate them as a matching pair - eg dsp3/audio3

RETURN

On success, the allocated number is returned. On failure, a negative error code is returned.

COPYRIGHT